## osmo-ggsn 1.1.0

=== debian/changelog ===
osmo-ggsn (1.1.0-2) unstable; urgency=medium

  * move to unstable
  * debian/control: move to debian-mobcom maintainer
  * debian/control: add salsa URLs
  * debian/control: use dh11
  * debian/control: bump standard to 4.1.4 (no changes)
  * debian/control: declare Breaks:/Replaces: to openggsn
                    (Closes: #884703)
  * debian/rules: don't run tests on BE CPUs
  * package was renamed upstream (Closes: #874492)
    (osmo-ggsn is the new one, openggsn was the old package name)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 17 Apr 2018 18:47:14 +0100

osmo-ggsn (1.1.0-1) experimental; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 14 Dec 2017 13:19:33 +0100
