=== debian/control ===
Source: osmo-ggsn
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Section: net
Priority: optional
Build-Depends: debhelper (>= 11),
               pkg-config,
               libdpkg-perl, git,
               libosmocore-dev (>= 0.10.2)
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-ggsn
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-ggsn.git
Homepage: https://projects.osmocom.org/projects/openggsn

Package: osmo-ggsn
Architecture: any
Breaks: openggsn
Replaces: openggsn
Depends: ${shlibs:Depends},
         ${misc:Depends},
         lsb-base
Description: Osmocom Gateway GPRS Support Node (GGSN)
 OsmoGGSN is a Gateway GPRS Support Node (GGSN). It is used by mobile
 operators as the interface between the Internet and the rest of the
 mobile network infrastructure.

Package: libgtp2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: library implementing the GTP protocol between SGSN and GGSN
 OsmoGGSN is a Gateway GPRS Support Node (GGSN). It is used by mobile
 operators as the interface between the Internet and the rest of the
 mobile network infrastructure.
 .
 This library is part of OsmoGGSN and implements the GTP protocol between
 SGSN (Serving GPRS support node) and GGSN.

Package: libgtp-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libgtp2 (= ${binary:Version})
Description: Development files for libgtp
 OsmoGGSN is a Gateway GPRS Support Node (GGSN). It is used by mobile
 operators as the interface between the Internet and the rest of the
 mobile network infrastructure.
 .
 The library libgtp implements the GTP protocol between SGSN and GGSN
 and this package contains the development files for this library.
