=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#DEBIAN  := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
#DEBVERS := $(shell echo '$(DEBIAN)' | cut -d- -f1)
#VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')

# This has to be exported to make some magic below work.
#export DH_OPTIONS
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH)

%:
	dh $@ --with autoreconf

#override_dh_autoreconf:
#	echo $(VERSION) > .tarball-version
#	dh_autoreconf

# Print test results in case of a failure
override_dh_auto_test:
	echo ${arch}
	if [ "${arch}" = "s390x" ] || \
	   [ "${arch}" = "hppa" ] || \
	   [ "${arch}" = "powerpc" ] || \
	   [ "${arch}" = "ppc64" ] || \
	   [ "${arch}" = "sparc64" ] || \
	   [ "${arch}" = "mips" ] ; then \
	   echo "Do not care of test result on this architecture" ;\
	else \
	   echo "Do make tests on this architecture" ;\
	   dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false) \
	fi
