## osmo-ggsn 1.2.2

=== debian/changelog ===
osmo-ggsn (1.2.2-4) unstable; urgency=medium

  * debian/patches/big_endian_test_fix.patch:
    - Fix test suite for big-endian architectures

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 06 Dec 2018 21:05:24 +0100

osmo-ggsn (1.2.2-3) unstable; urgency=low

  * debian/control:
    - Add myself to the list of uploaders
  * Re-enable tests on all architectures

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 16 Nov 2018 08:26:56 +0100

osmo-ggsn (1.2.2-2) unstable; urgency=low

  * Team upload
  * Upload to unstable
  * debian/osmo-ggsn.manpages:
    - Install upstream manpages
  * debian/osmo-ggsn.cfg:
    - Improve default configuration file

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 05 Nov 2018 22:25:53 +0100

osmo-ggsn (1.2.2-2~exp1) experimental; urgency=medium

  * Team upload
  * Install default configuration file
  * debian/control:
    - New standards version 4.2.1 - no changes
  * debian/gbp.conf: to enforce pristine-tar
  * debian/rules:
    - Create .tarball-version such that git-version-gen works
    - Clean up some unneeded comments
    - Do not start systemd service by default
  * debian/tests:
    - Added basic autopkgtest to check that 'osmo-ggsn -h' works after install

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 23 Sep 2018 17:19:54 +0200

osmo-ggsn (1.2.2-1) experimental; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 21 Jun 2018 19:46:22 +0200

osmo-ggsn (1.2.1-1) experimental; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 16 May 2018 22:57:24 +0200
