=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: osmo-ggsn
 Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
-Uploaders: Thorsten Alteholz <debian@alteholz.de>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>,
+           Ruben Undheim <ruben.undheim@gmail.com>
 Section: net
 Priority: optional
 Build-Depends: debhelper (>= 11),
                pkg-config,
-               libdpkg-perl, git,
-               libosmocore-dev (>= 0.10.2)
-Standards-Version: 4.1.4
+               libdpkg-perl,
+               libosmocore-dev (>= 0.11.0)
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-ggsn
 Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-ggsn.git
 Homepage: https://projects.osmocom.org/projects/openggsn
@@ -24,7 +25,7 @@
  operators as the interface between the Internet and the rest of the
  mobile network infrastructure.
 
-Package: libgtp2
+Package: libgtp3
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -43,7 +44,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
-         libgtp2 (= ${binary:Version})
+         libgtp3 (= ${binary:Version})
 Description: Development files for libgtp
  OsmoGGSN is a Gateway GPRS Support Node (GGSN). It is used by mobile
  operators as the interface between the Internet and the rest of the
