## osmo-ggsn 1.5.0.1.b283

=== debian/changelog ===
osmo-ggsn (1.5.0.1.b283) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 27 Feb 2020 01:28:32 +0000
