=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 Package: osmo-ggsn
 Architecture: any
-Depends: osmocom-nightly, ${shlibs:Depends},
+Depends: osmocom-latest, ${shlibs:Depends},
          ${misc:Depends}
 Description: Osmocom Gateway GPRS Support Node (GGSN)
  OsmoGGSN is a Gateway GPRS Support Node (GGSN). It is used by mobile
@@ -27,7 +27,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: osmocom-nightly, ${shlibs:Depends},
+Depends: osmocom-latest, ${shlibs:Depends},
          ${misc:Depends}
 Description: library implementing the GTP protocol between SGSN and GGSN
  OsmoGGSN is a Gateway GPRS Support Node (GGSN). It is used by mobile
@@ -41,7 +41,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: osmocom-nightly, ${misc:Depends},
+Depends: osmocom-latest, ${misc:Depends},
          libgtp6 (= ${binary:Version})
 Description: Development files for libgtp
  OsmoGGSN is a Gateway GPRS Support Node (GGSN). It is used by mobile
@@ -55,7 +55,7 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: osmocom-nightly, ${shlibs:Depends}, ${misc:Depends}, libgtp6 (= ${binary:Version}), osmo-ggsn (= ${binary:Version})
+Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}, libgtp6 (= ${binary:Version}), osmo-ggsn (= ${binary:Version})
 Multi-Arch: same
 Description: Debug symbols for OsmoGGSN
  OsmoGGSN is a Gateway GPRS Support Node (GGSN). It is used by mobile
@@ -66,7 +66,7 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: osmocom-nightly, ${shlibs:Depends}, ${misc:Depends}, libgtp6 (= ${binary:Version})
+Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}, libgtp6 (= ${binary:Version})
 Multi-Arch: same
 Description: Debug symbols for OsmoGGSN
  OsmoGGSN is a Gateway GPRS Support Node (GGSN). It is used by mobile
@@ -80,7 +80,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly, ${misc:Depends}
+Depends: osmocom-latest, ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.
