## osmo-ggsn 1.7.1

=== debian/changelog ===
osmo-ggsn (1.7.1) unstable; urgency=medium

  [ Harald Welte ]
  * main: add --vty-ref-mode, use vty_dump_xml_ref_mode()
  * manuals: generate vty reference xml at build time

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 23 Feb 2021 17:31:24 +0100

osmo-ggsn (1.7.0) unstable; urgency=medium

  [ Vadim Yanitskiy ]
  * debian/control: change maintainer to the Osmocom team / mailing list

  [ Pau Espin Pedrol ]
  * configure.ac: Fix trailing whitespace
  * doc: Update VTY reference xml file
  * Support setting rt-prio and cpu-affinity mask through VTY
  * contrib/jenkins: Enable parallel make in make distcheck
  * ggsn: generate coredump and exit upon SIGABRT received
  * tests: Explicitly drop category from log
  * tests: Replace deprecated API log_set_print_filename

  [ Keith ]
  * Fix vty PDP lookups by IMSI
  * Prevent Crash in show pdp-context from vty
  * Minor: remove code duplication
  * Use imsi_str2gtp() in sgsnemu
  * sgsnemu: relax check on length of IMSI cmdline arg.
  * GTP: Replace recently introduced imsi_str2gtp()

  [ Harald Welte ]
  * Use OSMO_FD_* instead of deprecated BSC_FD_*
  * gtp-kernel: Remove duplicate #include section
  * gtp-kernel: don't #include libmnl headers

  [ Oliver Smith ]
  * contrib/jenkins: don't build osmo-gsm-manuals
  * configure.ac: set -std=gnu11
  * apn_start: avoid segfault if missing tun-device
  * .gitignore: ignore debian/libgtp*
  * deb/rpm: build with --enable-gtp-linux

 -- Pau Espin Pedrol <pespin@espeweb.net>  Tue, 23 Feb 2021 13:34:39 +0100
