=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: osmo-ggsn
-Maintainer: Harald Welte <laforge@gnumonks.org>
+Maintainer: Osmocom team <openbsc@lists.osmocom.org>
 Section: net
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -7,8 +7,9 @@
                pkg-config,
                libdpkg-perl, git,
                dh-autoreconf,
-               libosmocore-dev (>= 1.1.0),
-               osmo-gsm-manuals-dev
+               libosmocore-dev (>= 1.5.0),
+               osmo-gsm-manuals-dev,
+               libgtpnl-dev (>= 1.2.0)
 Standards-Version: 3.9.6
 Vcs-Browser: http://git.osmocom.org/osmo-ggsn/
 Vcs-Git: git://git.osmocom.org/osmo-ggsn
