## osmo-ggsn 1.8.0

=== debian/changelog ===
osmo-ggsn (1.8.0-2ubuntu1) kinetic; urgency=medium

  * Fix build failure with installed systemd (See e.g. Debian bug: #1010578)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 May 2022 10:46:13 +0200

osmo-ggsn (1.8.0-2) unstable; urgency=medium

  * upload to unstable
  * add patch for failing build on s390x

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 15 Mar 2022 18:07:17 +0100

osmo-ggsn (1.8.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.6.0 (no changes)
  * debian/control: use at least libosmocore 1.6.0

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 06 Mar 2022 20:07:17 +0000

osmo-ggsn (1.7.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: use at least libosmocore 1.5.0
  * debian/control: use dh13
  * debian/control: bump standard to 4.5.1 (no changes)
  * debian/osmo-ggsn.cfg: create link to upstream example

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 16 Aug 2021 19:50:19 +0000

osmo-ggsn (1.6.0-2) unstable; urgency=medium

  * upload to unstable
  * mark test as superficial (Closes: #971486)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 08 Dec 2020 18:23:58 +0100

osmo-ggsn (1.6.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: use dh12
  * debian/control: depend on libosmocore >=1.4.0

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 16 Aug 2020 21:23:58 +0000
