## osmo-ggsn 1.9.0

=== debian/changelog ===
osmo-ggsn (1.9.0-3.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:09:03 +1100

osmo-ggsn (1.9.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063176

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 19:03:22 +0000

osmo-ggsn (1.9.0-3) unstable; urgency=medium

  * debian/rules: configure with --with-systemdsystemunitdir=no
                  thanks to Dan Bungert and Gianfranco Costamagna
                  for the suggestion (Closes: #1021762)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 15 Oct 2022 12:42:29 +0200

osmo-ggsn (1.9.0-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 10 Oct 2022 18:07:17 +0200

osmo-ggsn (1.9.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/control: use at least libosmocore 1.6.0

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 02 Oct 2022 17:42:29 +0200
