=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: osmo-ggsn
-Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>,
            Ruben Undheim <ruben.undheim@gmail.com>
 Section: net
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                pkg-config,
                libdpkg-perl,
-               libosmocore-dev (>= 1.6.0)
+               libosmocore-dev (>= 1.7.0)
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-ggsn
 Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-ggsn.git
@@ -26,7 +27,10 @@
  operators as the interface between the Internet and the rest of the
  mobile network infrastructure.
 
-Package: libgtp6
+Package: libgtp6t64
+Provides: ${t64:Provides}
+Replaces: libgtp6
+Breaks: libgtp6 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -45,7 +49,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
-         libgtp6 (= ${binary:Version})
+         libgtp6t64 (= ${binary:Version})
 Description: Development files for libgtp
  OsmoGGSN is a Gateway GPRS Support Node (GGSN). It is used by mobile
  operators as the interface between the Internet and the rest of the
