=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,6 @@
 
 %:
 	dh $@ --with autoreconf
-
-override_dh_auto_configure:
-	dh_auto_configure -- --with-systemdsystemunitdir=no
 
 override_dh_clean:
 	dh_clean
@@ -31,3 +28,7 @@
 
 override_dh_installsystemd:
 	dh_installsystemd --no-enable --no-start
+
+override_dh_auto_configure:
+	# Use the packaging-provided systemd unit file
+	dh_auto_configure -- --with-systemdsystemunitdir=no
