## osmo-ggsn 1.10.0

=== debian/changelog ===
osmo-ggsn (1.10.0) unstable; urgency=medium

  [ Max ]
  * Set working directory in systemd service file
  * Ignore .deb build byproducts
  * ctrl: take both address and port from vty config

  [ Pau Espin Pedrol ]
  * cosmetic: gtp: Fix typo in comment
  * Split gsn_t related APIs out of gtp.{c,h}
  * Use rate_ctr for gsn_t available_counters
  * ggsn: Introduce tdef and make it configurable over VTY
  * gtp: Introduce VTY configurable GTP timer X3
  * Fix typos in comments and VTY descriptions

  [ arehbein ]
  * osmo-ggsn: Transition to use of 'telnet_init_default'

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 07 Feb 2023 14:29:48 +0100

osmo-ggsn (1.9.0) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * tests: in46a_test: Make coverity happy when calling in46a_from_eua
  * vty: Fix cmd 'no echo-interval' doing nothing
  * libgtp: Fix ggsn crash if pdp alloc array is full (PDP_MAX)
  * libgtp: Define retransmit QUEUE_SIZE relative to PDP_MAX (increase)
  * gtp: Use switch statement in gtp_create_pdp_ind()
  * gtp: Log detection of rx duplicate
  * gtp: Small log improvements in gtp_create_pdp_ind()
  * gtp: Specify retrans queue name & seqnum in log lines
  * gtp: Log retrans queue register&free entries
  * gtp: Fix typo in comment
  * pco.h: Fix typo in reference to spec

  [ Vadim Yanitskiy ]
  * tests: use 'check_PROGRAMS' instead of 'noinst_PROGRAMS'

  [ Harald Welte ]
  * update git URLs (git -> https; gitea)

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 28 Jun 2022 17:48:22 +0200

osmo-ggsn (1.8.0) unstable; urgency=medium

  [ Oliver Smith ]
  * doc/examples/Makefile.am: add sgsnemu.conf
  * doc/examples/osmo-ggsn-kernel-gtp.cfg: new file
  * doc/manuals: describe GTP-U kernel module
  * gitignore: add ggsn_vty_reference.xml

  [ Harald Welte ]
  * Don't install osmo-ggsn-kernel-gtp.cfg to /etc/osmocom/
  * Don't install sgsnemu.conf to /etc/osmocom/
  * ggsn: Reject PDP CTX ACT for static IP addresses
  * vty: Inform user that static IP addresses are not supported

  [ Pau Espin Pedrol ]
  * gtp: Update teic_confirmed only on resp success
  * gtp: Rework parsing logic of UpdatePdpCtxResponse
  * ggsn: Improve logging on incoming DL data packets
  * gtp: Improve logging of failing pdp ctx resolution from TEI/TID
  * cosmetic: gtpie.c: Fix trailing whitespace
  * gtp: constify pointer arg
  * gtp: Support tx/rx RAN Information Relay message
  * ggsn: Log tun fd write errors
  * ggsn: Fix heap-use-after-free during Recovery without associated PDP
  * cosmetic: configure.ac: Fix tabulation in line
  * Introduce program gtp-echo-responder
  * gtp_echo_responder: report invalid chars present in node-feautres cmdline arg as error

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 16 Nov 2021 13:49:16 +0100
