## osmo-ggsn 1.11.0

=== debian/changelog ===
osmo-ggsn (1.11.0) unstable; urgency=medium

  [ Daniel Willmann ]
  * gtp: Add net GTP cause values and a function to check for success

 -- Oliver Smith <osmith@sysmocom.de>  Tue, 28 Nov 2023 13:38:29 +0100
