=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Maintainer: Osmocom team <openbsc@lists.osmocom.org>
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                autotools-dev,
                pkg-config,
                libdpkg-perl, git,
                dh-autoreconf,
-               libosmocore-dev (>= 1.8.0),
+               libosmocore-dev (>= 1.9.0),
                osmo-gsm-manuals-dev,
                libgtpnl-dev (>= 1.2.0)
 Standards-Version: 3.9.6
